/********************************************************************
 *
 *  䠩 ⨬஢  ஢ Inprise/Borland C++.
 *
********************************************************************/

/**********************************************************
 *
 * File MEM_MODL.H
 *
 * Version 1.00
 *
 * MEM_MODL is a Header file for definition of specified
 * for even memory modeles data.
 *
 * File works in a Borland C++ environment support tiny,
 * small, medium, compact, large and huge memory models in
 * a DOS and Windows Mode.
 *
 * CopyLeft (C) Yuri A. Denisov All Right Reserved
 *
***********************************************************/

/* Define header files identify */

#ifndef __MEM_MODL_H
#define __MEM_MODL_H

/* Define most Common Otions */


/***********************************************************
 *
 * Define the most Variables for Memory Models:
 *
 * MMC_PTR    Type of CODE Ponter in current Memory Model
 * MMD_PTR    Type of DATA Ponter in current Memory Model
 * MMC_COND   Defined if MMC_PTR is FAR
 * MMD_COND   Defined if MMD_PTR is FAR
 *
***********************************************************/

#ifdef __TINY__
#define MMD_PTR near
#define MMC_PTR near
#undef MMD_COND
#undef MMC_COND
#endif

#ifdef __SMALL__
#define MMD_PTR near
#define MMC_PTR near
#undef MMD_COND
#undef MMC_COND
#endif

#ifdef __MEDIUM__
#define MMD_PTR near
#define MMC_PTR far
#define MMC_COND
#undef MMD_COND
#endif

#ifdef __COMPACT__
#define MMD_PTR far
#define MMD_COND
#define MMC_PTR near
#undef MMC_COND
#endif

#ifdef __LARGE__
#define MMD_PTR far
#define MMD_COND
#define MMC_PTR far
#define MMC_COND
#endif

#ifdef __HUGE__
#define MMD_PTR huge
#define MMD_COND
#define MMC_PTR far
#define MMC_COND
#endif



#endif

