/********************************************************************
 *
 *  䠩 ⨬஢  ஢ Inprise/Borland C++.
 *
********************************************************************/

/**********************************************************
 *
 * WORDS0.H
 *
 * Copyleft Yuri A. Denisov. All Right Reserved.
 * Version 1.01.
 *
 * This is a header file containing common definitions
 * the constant for Working with text format.
 *
 * This file contains next blocks of constants
 *
 * * Part of the speech of Russian language;
 * * Part of the speech of English language;
 * * Part of speech both Russian & English languages _WORD_SPEECH;
 * * A Text Data Parameters _WORD_SIZE
 *
 *   䠩 ᮤঠ騩 騥 ।
 * ⠭  ࠡ  ⥪⮢ ଠ⮬.
 *
 *  䠩 ᮤন  ᫥騥  ⠭:
 *
 * *   ᪮ 몠.
 * *   ᪮ 몠.
 * *    ᪮, ⠪  ᪮ 몠.
 * * ࠬ ⥪⮢  _WORD_SIZE
 *
 *   䠩   祭 ० ⫠ _WORD_tEST.
 *
***********************************************************/

/* । ⮢ ० ࠡ */

/*  祭 ⮣ ० 㤠   ਥ  ४⨢ #define
#define _WORD_TEST */

/*  । ⮢ ० */

#ifndef __WORDS0_H
#define __WORDS0_H

/* Part of the speech */
/* । ⥩  */

#ifndef _WORD_SPEECH
#define _WORD_SPEECH

#define WORD_UNKNOWN     0       /*  ᫮ () */
#define WORD_NOUN        2       /* ⢨⥫쭮 */
#define WORD_AJECTIVE    4       /* ५⥫쭮 */
#define WORD_NUMERAL     8       /* ᫨⥫쭮 */
#define WORD_PRONOUN     16      /* ⮨ */
#define WORD_ADVERB      32      /* 稥 */
#define WORD_VERB        64      /*  */
#define WORD_PARTICIPLEJ 68      /* ⨥ */
#define WORD_PARTICIPLED 96      /* ⨥ */
#define WORD_PREPOSITION 128     /* । */
#define WORD_CONJUNCTION 256     /*  */
#define WORD_OTHER       512     /* 㣮  塞 */
#define WORD_NONE        32767   /*  ᫮ */

#endif

/* Define Data Size*/
/* । ࠧ  */

#ifndef _WORD_SIZE
#define _WORD_SIZE

#ifdef _WORD_TEST

#define WORD_SIZE        10       /*  ᫮ ( 㪢) */
#define STRING_SIZE      80       /*  ப ( ᨬ) */
#define WORDS_NUM_FILE   8        /* ᫮ ᫮  䠩 */ /* Numeric of Words in a file */

#else

#define WORD_SIZE        30       /*  ᫮ ( 㪢) *//* ????? ????? */
#define STRING_SIZE      750      /*  ப ( ᨬ) */
#define WORDS_NUM_FILE   500      /* ᫮ ᫮  䠩 */ /* Numeric of Words in a file */

#endif

#endif

#endif
